QGIS Application - Bug report #4519
Changing color of a layer causes crash
2011-11-12 09:01 AM - Robert Huber

Status: Closed

Priority: Normal

Assignee: William Kyngesburye
Category:

Affected QGIS version:master
Operating System: Mac OS X
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: duplicate

Copied to github as #: 14437

Description

When applying another color to a QGIS layer, QGIS crashes every other time, i. e. about 1 in 3 times applying the color.

Here is what | get as in the Problem Report for QGIS window:

Process: QGIS [261]

Path: /Applications/QGIS.app/Contents/MacOS/QGIS

Identifier:  org.qgis.qgis

Version: 1.7.1 (1.7.1-Wroclaw (exported))
Code Type:  X86-64 (Native)

Parent Process: launchd [213]

Date/Time: 2011-11-12 17:14:58.321 +0100
OS Version: Mac OS X 10.6.8 (10K549)
Report Version: 6

Interval Since Last Report: 14231 sec
Crashes Since Last Report: 32

Per-App Interval Since Last Report: 8059 sec
Per-App Crashes Since Last Report: 8

Anonymous UUID: 77A13EBB-0906-4F2E-9EFB-E60D175B1D84

Exception Type: EXC_BAD_ACCESS (SIGSEGV)

Exception Codes: KERN_INVALID_ADDRESS at Oxfffffffffffffff2
Crashed Thread: 0 Dispatch queue: com.apple.main-thread

Thread 0 Crashed: Dispatch queue: com.apple.main-thread

0 libstdc++.6.dylib 0x00007fff828307a2 __dynamic_cast + 46

1 org.qgis.qgis 0x000000010020a333 QgsLegend::currentLegendLayer() + 43

2 org.qgis.qgis 0x000000010020a393 QgsLegend::currentLayer() + 9

3 org.qgis.qgis 0x0000000100212a86 QgsLegend::handleCurrentltemChanged(QTreeWidgetltem*,
QTreeWidgetltem*) + 18

4 org.qgis.qgis 0x000000010028b0cf QgsLegend::qt_metacall(QMetaObject::Call, int, void**) + 1667

5 QtCore 0x00000001011a4e26 QMetaObject::activate(QObject*, QMetaObiject const*, int, void**) + 710

6 QtGui 0x0000000101a4eabd QTreeWidget::currentltemChanged(QTreeWidgetltem*, QTreeWidgetltem*) +
61

7 QtGui 0x0000000101a56a2b QTreeWidget::qt_metacall(QMetaObject::Call, int, void**) + 811

8 org.qgis.qgis 0x000000010028aa75 QgsLegend::gt_metacall(QMetaObject::Call, int, void**) + 41

9 QtCore 0x00000001011a4e26 QMetaObject::activate(QObject*, QMetaObject const*, int, void**) + 710

10 QtGui 0x0000000101a2ad6d QltemSelectionModel::currentChanged(QModellndex const&, QModellndex
const&) + 45

11

QtGui

0x0000000101a2ae9e QltemSelectionModel::setCurrentindex(QModellndex const&,

QFlags<QltemSelectionModel::SelectionFlag>) + 142
0x00000001019d3a05 QAbstractltemView::setCurrentindex(QModellndex const&) + 149
0x000000010020c392 Qgslegend::refreshLayerSymbology(QString, bool) + 156
0x000000010028ac02 QgsLegend::qt_metacall(QMetaObiject::Call, int, void**) + 438

0x00000001011a4e26 QMetaObject::activate(QObject*, QMetaObject const*, int, void**) + 710
0x00000001002882fd QgsVectorLayerProperties::refreshLegend(QString, bool) + 49
0x0000000100199613 QgsVectorLayerProperties::apply() + 4621
0x0000000100288491 QgsVectorLayerProperties::qt_metacall(QMetaObiject::Call, int, void**) + 397

0x00000001011a4e26 QMetaObiject::activate(QObject*, QMetaObiject const*, int, void™) + 710

0x0000000101b4b831 QAbstractButton::clicked(bool) + 49

0x00000001018767d0 QAbstractButtonPrivate::emitClicked() + 64

0x0000000101877a0a QAbstractButtonPrivate::click() + 154

0x0000000101877c61 QAbstractButton::mouseReleaseEvent(QMouseEvent*) + 113

0x0000000101546133 QWidget::event(QEvent*) + 2371

0x0000000101876b08 QAbstractButton::event(QEvent*) + 40

0x0000000101911645 QPushButton::event(QEvent*) + 69

0x00000001014eb15d QApplicationPrivate::notify _helper(QObject*, QEvent*) + 189

0x00000001014f2e90 QApplication::notify(QObject*, QEvent*) + 7776

0x00000001007a3408 QgsApplication::notify(QObject*, QEvent*) + 14

0x000000010119e4dc QCoreApplication::notifylnternal(QObject*, QEvent*) + 124

0x00000001014eb1fc qt_sendSpontaneousEvent(QObject*, QEvent*) + 44

0x00000001014a12ed gt_mac_handleMouseEvent(void*, void*, QEvent::Type, Qt::MouseButton) +

0x0000000101491a66 -[QCocoaView mouseUp:] + 22
0x00007fff8464b431 -[NSWindow sendEvent:] + 5547
0x000000010148fb21 -[QCocoaPanel sendEvent:] + 241
0x00007fff84580afa -[NSApplication sendEvent:] + 4719
0x000000010149c47a -[QNSApplication sendEvent:] + 74
0x00007fff8478ce06 -[NSApplication _realDoModalLoop:peek:] + 509
0x00007fff847ac477 -[NSApplication runModalSession:] + 57
0x00000001014a604e

QEventDispatcherMac::processEvents(QFlags<QEventLoop::ProcessEventsFlags>) + 1294
0x000000010128aa34 QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 68
0x000000010128ad54 QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 180
0x00000001019792¢5 QDialog::exec() + 229
0x000000010000c399 QgisApp::showlLayerProperties(QgsMapLayer*) + 127
0x00000001002119b4 QgsLegend::mouseDoubleClickEvent(QMouseEvent*) + 154
0x000000010154614c QWidget::event(QEvent*) + 2396
0x00000001018bdfac QFrame::event(QEvent*) + 44
0x0000000101949717 QAbstractScrollArea::viewportEvent(QEvent*) + 23
0x00000001019dd90b QAbstractltemView::viewportEvent(QEvent*) + 363
0x0000000101a1c39b QTreeView::viewportEvent(QEvent*) + 299
0x000000010194bbf0 QAbstractScrollAreaFilter::eventFilter(QObject*, QEvent*) + 48
0x000000010128b377 QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent™)

0x00000001014eb12e QApplicationPrivate::notify_helper(QObject*, QEvent*) + 142
0x00000001014f2e90 QApplication::notify(QObject*, QEvent*) + 7776

0x00000001007a3408 QgsApplication::notify(QObject*, QEvent*) + 14
0x000000010119e4dc QCoreApplication::notifylnternal(QObject*, QEvent*) + 124
0x00000001014eb1fc qt_sendSpontaneousEvent(QObject*, QEvent*) + 44
0x00000001014a12ed qt_mac_handleMouseEvent(void*, void*, QEvent:: Type, Qt::MouseButton) +

2/13




2269

59 com.apple.AppKit 0x00007fff8464b3a7 -[NSWindow sendEvent:] + 5409

60 QtGui 0x0000000101498e01 -[QCocoaWindow sendEvent:] + 241

61 com.apple.AppKit 0x00007fff84580afa -[NSApplication sendEvent:] + 4719

62 QtGui 0x000000010149c47a -[QNSApplication sendEvent:] + 74

63 com.apple.AppKit 0x00007fff845176de -[NSApplication run] + 474

64 QtGui 0x00000001014a6174
QEventDispatcherMac::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 1588

65 QtCore 0x000000010128aa34 QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 68
66 QtCore 0x000000010128ad54 QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 180
67 QtCore 0x000000010128c37c QCoreApplication::exec() + 188

68 org.qgis.qgis 0x0000000100008442 main + 6860

69 org.qgis.qgis 0x0000000100006674 start + 52

Thread 1: Dispatch queue: com.apple.libdispatch-manager

0 libSystem.B.dylib 0x00007fff88fcecOa kevent + 10

1 libSystem.B.dylib 0x00007fff88fd0add _dispatch_mgr_invoke + 154

2 libSystem.B.dylib 0x00007fff88fd07b4 _dispatch_queue_invoke + 185
3 libSystem.B.dylib 0x00007fff88fd02de _dispatch_worker_thread2 + 252
4 libSystem.B.dylib 0x00007fff88fcfc08 _pthread_wqthread + 353

5 libSystem.B.dylib 0x00007fff88fcfaas start_wqthread + 13

Thread 0 crashed with X86 Thread State (64-bit):

rax: Oxffffffffffffff2 rbx: 0x000000011582a110 rcx: 0x0000000000000000 rdx: 0x000000010050c030

rdi: 0x000000011582a110 rsi: 0x0000000101e767d0 rbp: 0x00007fff5fbfbb80 rsp: 0x00007fff5fbfbb30

r8: 0x000000011582a110 r9: 0x00000000ffffffff r10: 0x0000000000000000 r11: 0x000000010028aa4c

r12: 0x0000000101e767d0 r13: 0x0000000000000000 r14: 0x000000010050c030 r15: 0x0000000103d87bc0
rip: 0x00007fff828307a2 rfl: 0x0000000000010283 cr2: Oxffffffffiffffff2

Binary Images:

0x100000000 - 0x100500fef +org.qgis.qgis 1.7.1 (1.7.1-Wroclaw (exported))
<978C2393-5C49-335E-8DAB-7B463D638C85> /Applications/QGIS.app/Contents/MacOS/QGIS

0x100647000 - 0x1006d3fe7 +libqwt.dylib 5.2.1 (compatibility 5.2.0) <4A3B001E-7092-3080-8C5B-B4F3A6E5BOEO>
/Applications/QGIS.app/Contents/MacOS/lib/libqwt.dylib

0x100709000 - 0x100740fff +QtSql 4.7.4 (compatibility 4.7.0) <6F553C15-CF23-25AE-F1CA-9120EE63D7A1>
/Applications/QGIS.app/Contents/Frameworks/QtSql.framework/Versions/4/QtSql

0x100757000 - 0x1009e2fff +libqgis_core.1.7.1.dylib 1.7.1 (compatibility 1.7.1)
<26F8FA3F-B1B7-34CC-80C7-340CBF6FASE6G> /Applications/QGIS.app/Contents/MacOS/lib/libggis_core.1.7.1.dylib

0x100ac2000 - 0x100c3efef +libggis_gui.1.7.1.dylib 1.7.1 (compatibility 1.7.1)
<A1816830-2F7E-3931-90A1-C4CCE13D9476> /Applications/QGIS.app/Contents/MacOS/lib/libqgis_gui.1.7.1.dylib

0x100cf0000 - 0x100d34ff7 +libggis_analysis.1.7.1.dylib 1.7.1 (compatibility 1.7.1)
<E129A074-3759-3B38-B474-9A36E4D283D4> /Applications/QGIS.app/Contents/MacOS/lib/libqgis_analysis.1.7.1.dylib

0x100d4d000 - 0x100d6afff +libpg.dylib 5.4.0 (compatibility 5.0.0) <B7463430-72D0-379C-9861-C66F28CFFB74>
/Applications/QGIS.app/Contents/MacOS/lib/libpg.dylib

0x100d75000 - 0x1010d4fe7 +org.sqlite.sqlite3 3.7.6.3 (SQLite3 3.7.6.3-1)
<F0D211B6-2C91-CC46-64BC-69185DB7ACC5> /Library/Frameworks/SQLite3.framework/Versions/3/SQL.ite3

0x1010f4000 - 0x101131fff +QtXml 4.7.4 (compatibility 4.7.0) <9956E9E8-119F-CB7F-7405-150845BD2C7D>
/Applications/QGIS.app/Contents/Frameworks/QtXml.framework/Versions/4/QtXml

0x10114b000 - 0x1013d3ff7 +QtCore 4.7.4 (compatibility 4.7.0) <9EB52EC3-3C0OF-0A45-1CE6-227EB7069767>
/Applications/QGIS.app/Contents/Frameworks/QtCore.framework/Versions/4/QtCore

0x101467000 - 0x101e4cfef +QtGui 4.7.4 (compatibility 4.7.0) <8B10C74D-0789-C563-FAOE-3192DAE669E6>
/Applications/QGIS.app/Contents/Frameworks/QtGui.framework/Versions/4/QtGui

0x1020f9000 - 0x102223fef +QtNetwork 4.7.4 (compatibility 4.7.0) <CF022D16-5123-BA0B-BB22-8CE1CCF23B54>
/Applications/QGIS.app/Contents/Frameworks/QtNetwork.framework/Versions/4/QtNetwork

0x10227¢000 - 0x1022cbfef +QtSvg 4.7.4 (compatibility 4.7.0) <FCD8D421-02F9-19E9-7408-A785A31B1F2D>
/Applications/QGIS.app/Contents/Frameworks/QtSvg.framework/Versions/4/QtSvg

0x1022ec000 - 0x10231Dbfff +org.maptools.proj 4.7.0 (PROJ 4.7.0-2) <7FCE23B7-503C-8C93-6BD2-5D08C5B262DB>
/Library/Frameworks/PROJ.framework/Versions/4/PROJ

0x102327000 - 0x102417fff +org.osgeo.geos 3.3.0 (GEOS 3.3.0-1) <60C36024-2EE4-3A4C-9E32-EC6EAAFFF534>
/Library/Frameworks/GEOS.framework/Versions/3/GEOS

0x1024e€e000 - 0x10328fff7 +org.gdal.gdal 1.8.1 (GDAL/OGR 1.8.1-1) <46A9B527-95B6-3E8B-B504-C3E5E3372F54>
/Library/Frameworks/GDAL.framework/Versions/1.8/GDAL

0x103893000 - 0x1038d6ff7 libiodbc.2.dylib 4.18.0 (compatibility 4.0.0)
<E8B6477A-E3BA-B781-6D7E-2C7118EA2ABD> /ust/lib/libiodbc.2.dylib

0x1038e1000 - 0x1038effff libiodbcinst.2.dylib 4.18.0 (compatibility 4.0.0)
<94075961-B98D-2C76-DE7D-49D6C63844D2> /ust/lib/libiodbcinst.2.dylib

0x1038f5000 - 0x103a03ff7 +com.kyngchaos.UniximagelO 1.3.1 (UnixImagelO 1.3.1)
<07F404A1-64CF-32FC-B07A-8F1471D7EDA2> /Library/Frameworks/UnixImagelO.framework/Versions/D/UnixImagelO

0x103a3b000 - 0x103a73fe7 +libogdi.dylib ??? (??77) <F2BF367E-21A2-CEC2-1B5B-64E0508DBB1F>
/Library/Frameworks/GDAL.framework/Versions/1.8/Libraries/libogdi.dylib

0x103a7f000 - 0x103a9bfff +libpg.dylib 5.3.0 (compatibility 5.0.0) <1FB622DB-BAB7-F4CD-D9A9-7E024478EBB7>
/Library/Frameworks/GDAL.framework/Versions/1.8/Libraries/libpg.dylib

0x103aa5000 - 0x103aadfef +libintl.dylib 10.1.0 (compatibility 10.0.0) <937F7B46-EC9C-4441-43FD-4CD508BE99E2>
/Library/Frameworks/GDAL.framework/Versions/1.8/Libraries/libintl.dylib

0x103ab3000 - 0x103abbfef +libintl.dylib 10.1.0 (compatibility 10.0.0) <937F7B46-EC9C-4441-43FD-4CD508BE99E2>
/Applications/QGIS.app/Contents/MacOS/lib/libintl.dylib

0x103f00000 - 0x103f05fff itertools.so ??? (???) <9287854F-7F2B-D4AF-FCA3-EB69DA821DA9>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/itertools.so

0x103f4d000 - 0x103f4eff7 _functools.so ??7? (??7?) <97A294C7-290C-9746-B294-275516490F40>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/_functools.so

0x103f52000 - 0x103f55fff _csv.so 7?7 (?7?) <ACE39A2B-E3BC-EC0C-D825-1812240F2B06>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/_csv.so

0x103f5b000 - 0x103f5cfff cStringlO.so ??7? (?77?) <0C7D1D15-4241-99A9-7671-A3CF105C2EBB>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/cStringlO.so

0x103f61000 - 0x103f63fe7 binascii.so ??? (???) <D7D60C49-DEFA-5DB1-83B0-F91347966BC8>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/binascii.so

0x103f67000 - 0x103f68fff _random.so ??? (???) <FC54824D-3F1F-D538-DBF8-05E393A696B6>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/_random.so

0x103f6c000 - 0x103f6ffff +_gdalconst.so ??? (???) <F367A4B7-528C-3819-9D15-9661A61AABE3>
/Library/Frameworks/GDAL.framework/Versions/1.8/Python/2.6/site-packages/osgeo/_gdalconst.so

0x103f73000 - 0x103f76ff7 strop.so ??? (??7?) <4A91CDB0-6E91-DAOE-8E6B-38BE29105EA0>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/strop.so

0x103f7b000 - 0x103f7cff7 time.so ??? (??7?) <C903FAB1-83BC-9AE8-4C31-860038174217>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/time.so

0x10dd77000 - 0x10ddb2ff7 +libgjpeg.dylib ??7? (???) <EE382DB1-4A3E-D561-66F8-E556886919F 7>
/Applications/QGIS.app/Contents/Pluglns/imageformats/libgjpeg.dylib

0x10ddd1000 - 0x10dddfff7 +libcoordinatecaptureplugin.so ??? (???) <DDA835A4-047D-3CD9-9EEA-AA241D78BC19>
/Applications/QGIS.app/Contents/Pluglns/qgis/libcoordinatecaptureplugin.so

0x10dde8000 - 0x10ddf5fff +libcopyrightlabelplugin.so ??7? (??7?) <39D3697B-8261-3E8D-A3A0-B7930D72C3C2>
/Applications/QGIS.app/Contents/Plugins/qgis/libcopyrightlabelplugin.so

0x10e70b000 - 0x10e71ffff +libdelimitedtextplugin.so ??? (??7?) <123779C3-29B6-3EB0-B171-CF803F8BA894>
/Applications/QGIS.app/Contents/Pluglns/qgis/libdelimitedtextplugin.so

0x10e729000 - 0x10e736fff +libdelimitedtextprovider.so ??? (??7?) <C7D50B54-FDB5-3DB4-A152-A56 C6DEDCEGA>
/Applications/QGIS.app/Contents/Pluglns/qgis/libdelimitedtextprovider.so

0x10e73e000 - 0x10e753ff7 +libdisplacementplugin.so ??? (???) <FE32C3B2-742E-3A73-B036-E321C8909F24>
/Applications/QGIS.app/Contents/Plugins/qgis/libdisplacementplugin.so
0x10e762000 - 0x10e764ff7 math.so ??? (??7?) <54D066FD-A9F9-EA69-8C3C-CE83DF68C58A>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/math.so

0x10e76a000 - 0x10e76dff7 zlib.so ??? (???) <647721E3-67B5-8CD0-3A78-060FF9C80924>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/zlib.so

0x1100df000 - 0x110105ff7 +libdiagramoverlay.so ??? (???) <B097BABE-5254-31E4-8E97-B4723DAA78C0>
/Applications/QGIS.app/Contents/Plugins/qgis/libdiagramoverlay.so

0x11011d000 - 0x11013eff7 +libdxf2shpconverterplugin.so ??? (???) <DF623102-C296-3AAF-BE21-B835822A83A5>
/Applications/QGIS.app/Contents/Plugins/qgis/libdxf2shpconverterplugin.so

0x110150000 - 0x11018cff7 +libevis.so ??7? (???) <8B934065-18E1-3E34-892B-DF21FF098606>
/Applications/QGIS.app/Contents/Plugins/qgis/libevis.so

0x1101a2000 - 0x1101b6ff7 +libgdalprovider.so ??? (???) <ODABD95D-A15A-3BAB-B3B3-7595AFAC88C1>
/Applications/QGIS.app/Contents/Pluglns/qgis/libgdalprovider.so

0x1101c0000 - 0x110238fff +libgeorefplugin.so ??? (??7?) <91CF1407-092C-3ECE-AB5E-7E724D02F1D6>
/Applications/QGIS.app/Contents/Plugins/qgis/libgeorefplugin.so

0x110269000 - 0x11029cfff +libgpsimporterplugin.so ??? (??7?) <73BDD8CD-9807-3DA1-AB97-F3D8CE1B2968>
/Applications/QGIS.app/Contents/Plugins/qgis/libgpsimporterplugin.so

0x1102ad000 - 0x1102c4ff7 +libgpxprovider.so ??? (??7?) <FBOOFF30-BD40-3884-A856-396E006909C3>
/Applications/QGIS.app/Contents/Plugins/qgis/libgpxprovider.so

0x1102d2000 - 0x1102e8fff +libinterpolationplugin.so ??? (???) <4A38FD1F-91AA-3D9B-AD6F-24AFD1171093>
/Applications/QGIS.app/Contents/Plugins/qgis/libinterpolationplugin.so

0x1102f6000 - 0x110303ff7 +libmemoryprovider.so ??? (???) <0213F94F-DE6C-3CDF-9A7B-4A415807B0D9>
/Applications/QGIS.app/Contents/Plugins/qgis/libmemoryprovider.so

0x11030c000 - 0x110319ff7 +libnortharrowplugin.so ??? (???) <AA7CE11E-FA76-31E9-A213-FA911A530D09>
/Applications/QGIS.app/Contents/Plugins/qgis/libnortharrowplugin.so

0x110323000 - 0x110343fff +libofflineeditingplugin.so ??7? (??7?) <42358816-B33B-3964-A4E7-F1E04BOBA5C8>
/Applications/QGIS.app/Contents/Pluglns/qgis/libofflineeditingplugin.so

0x110355000 - 0x110372ff7 +libogrprovider.so ??? (??7?) <C655D4B2-5AB0-3631-AB50-F50B81BC64A0>
/Applications/QGIS.app/Contents/Plugins/qgis/libogrprovider.so

0x11037e000 - 0x11038fff7 +liboracleplugin.so ??? (??7?) <136CD808-6516-3022-8457-1BCADOCA62BA>
/Applications/QGIS.app/Contents/Pluglns/qgis/liboracleplugin.so

0x110399000 - 0x1103a6fff +libggispython.1.7.1.dylib 1.7.1 (compatibility 1.7.1)
<B74BD83C-455C-3E60-9554-ADAEAF3C17DE> /Applications/QGIS.app/Contents/MacOS/lib/libqgispython.1.7.1.dylib

0x11232e000 - 0x1124c2fff +org.gnu.gsl 1.15 (GSL 1.15-1) <557A8D45-290E-3DF8-B04A-CD065A34E5F 1>
/Library/Frameworks/GSL.framework/Versions/1/GSL

0x11251e000 - 0x11253fff7 +libosmprovider.so ??? (??7) <CCOCD26B-031D-33A6-A144-7A54EA9C200C>
/Applications/QGIS.app/Contents/Plugins/qgis/libosmprovider.so

0x11254f000 - 0x112593fff +libpostgresprovider.so ??7? (??7) <48206229-088C-33D8-9DC6-3829705377C2>
/Applications/QGIS.app/Contents/Plugins/qgis/libpostgresprovider.so

0x1125a3000 - 0x1125b0fff +librasterterrainplugin.so ??? (???) <F7B7BD1F-1860-34B6-8B5A-F2F793AE3FFB>
/Applications/QGIS.app/Contents/Plugins/qgis/librasterterrainplugin.so

0x1125b9000 - 0x1125dffff +libroadgraphplugin.so ??? (???) <185E92C6-8B73-326F-BF51-BE902439788E>
/Applications/QGIS.app/Contents/Plugins/qgis/libroadgraphplugin.so

0x1125f6000 - 0x112605ff7 +libscalebarplugin.so ??? (???) <83CCECCE-3FC0-371A-8288-FED8B5A47FD6>
/Applications/QGIS.app/Contents/Pluglns/qgis/libscalebarplugin.so

0x11260f000 - 0x112632ff7 +libspatialiteprovider.so ??? (???) <12C93B2A-A5B8-33DA-AE63-B373BD802766>
/Applications/QGIS.app/Contents/Plugins/qgis/libspatialiteprovider.so

0x11263c000 - 0x11265afff +libspatialqueryplugin.so ??? (???) <183B508D-3E68-37C9-A5CC-7BB698A1B6BE>
/Applications/QGIS.app/Contents/Plugins/qgis/libspatialqueryplugin.so

0x11266a000 - 0x1126¢1ff7 +libspitplugin.so ??? (???) <E7F3F183-3B05-36F 1-833E-125C6EF7E561>
/Applications/QGIS.app/Contents/Plugins/qgis/libspitplugin.so

0x1126d3000 - 0x112706ff7 +libsglanywhereplugin.so ??? (???) <5648742C-D7D8-32BA-8EB9-35A2EBDCIC4F>
/Applications/QGIS.app/Contents/Plugins/qgis/libsglanywhereplugin.so

0x11271e000 - 0x11272dfff +libggissglanyconnection.1.7.1.dylib 1.7.1 (compatibility 1.7.1)
<BF6DBD5B-AB6A-3CC4-A4E1-63F8FDD4A72C>
/Applications/QGIS.app/Contents/MacOS/lib/libqggissglanyconnection.1.7.1.dylib
0x112733000 - 0x112754ff7 +libsglanywhereprovider.so ??? (???) <F79A9248-D70E-3B2C-A68A-BDC7DAB77363>
/Applications/QGIS.app/Contents/Plugins/qgis/libsglanywhereprovider.so
0x11275f000 - 0x112787ff7 +libwfsplugin.so ??? (???) <2F185035-9458-34D0-80A2-BB084A1A7B46>
/Applications/QGIS.app/Contents/Plugins/qgis/libwfsplugin.so
0x112798000 - 0x1127c3ff7 +libwfsprovider.so ??? (???) <C2E75082-F68C-35FC-8831-515EB6F58CAF>
/Applications/QGIS.app/Contents/Plugins/qgis/libwfsprovider.so
0x1127d4000 - 0x11280afff +libwmsprovider.so ??? (???) <58D16DD3-ED10-35EA-B913-207BE1C548D8>
/Applications/QGIS.app/Contents/Pluglns/qgis/libwmsprovider.so
0x112819000 - 0x112929ff7 org.python.python 2.6.1 (2.6.1) <126DA8FF-5BC2-8788-51E3-D7A29A3F9F0OF >
/System/Library/Frameworks/Python.framework/Versions/2.6/Python
0x112a79000 - 0x112a8bff7 +sip.so ??? (???) <498D20E6-D5CB-3391-B9E4-7B874C50AC2F>
/Applications/QGIS.app/Contents/Resources/python/sip.so
0x112ad4000 - 0x112adffe7 datetime.so ??? (???) <C8DD63B4-9685-C134-E60A-0ED11A0CCAF7>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/datetime.so
0x112ae8000 - 0x112af1fff _sqlite3.s0 ??7? (??7?) <9FBFA469-EEA4-67CA-B92D-5C30D91887E9>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/_sqlite3.so
0x112c00000 - 0x112d98fe7 +QtCore.so ??? (??7?) <3273FD7F-8E8B-349D-B3E8-8FA88B7BB826>
/Applications/QGIS.app/Contents/Resources/python/PyQt4/QtCore.so
0x112eac000 - 0x1133b1ff7 +QtGui.so ??? (??7?) <SEEA737C-8A61-3313-8747-A205FB80140F >
/Applications/QGIS.app/Contents/Resources/python/PyQt4/QtGui.so
0x113900000 - 0x113a8bff7 +core.so ??? (???) <C6E6BDB7-0C16-3F1E-B1DB-F8BCECF160FBA>
/Applications/QGIS.app/Contents/Resources/python/qgis/core.so
0x113b90000 - 0x113c01fff +QtNetwork.so ??? (??7?) <48B57966-0C27-3F84-9E73-6274DC052E1A>
/Applications/QGIS.app/Contents/Resources/python/PyQt4/QtNetwork.so
0x113c¢5a000 - 0x113c91fe7 +QtXml.so ??? (???) <3B7D7CD4-DDB1-3C41-9148-646C0051DEEO>
/Applications/QGIS.app/Contents/Resources/python/PyQt4/QtXml.so
0x113e00000 - 0x113ee3ff7 +gui.so ??? (???) <452C1DF0-FB1F-37F4-AF71-F84A16791D96>
/Applications/QGIS.app/Contents/Resources/python/qgis/gui.so
0x114140000 - 0x114185fff +_gdal.so ??? (???) <35F88E61-A6CD-3C6F-8C32-4B58F4F9A35A>
/Library/Frameworks/GDAL.framework/Versions/1.8/Python/2.6/site-packages/osgeo/_gdal.so
0x114197000 - 0x1141e0fff +_ogr.so ??? (??7?) <A9705DBE-B165-337F-B36A-1505D1A9CF29>
/Library/Frameworks/GDAL.framework/Versions/1.8/Python/2.6/site-packages/osgeo/_ogr.so
0x1141ef000 - 0x114222fff +_osr.so ??? (???) <BB990491-F488-3FE1-B7C0-07D132A6426F >
/Library/Frameworks/GDAL.framework/Versions/1.8/Python/2.6/site-packages/osgeo/_osr.so
0x1143ed000 - 0x1143f1ff7 _struct.so ??? (???) <B4DD710D-1511-99F0-66AE-329185E2B88C>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/_struct.so
0x114600000 - 0x11467dfef unicodedata.so ??? (???) <3C8ED26D-A8A3-C77A-0D13-9FA780629201>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/unicodedata.so
0x7fff5fc00000 -  Ox7fff5fc3be0f dyld 132.1 (???) <29DECB19-0193-2575-D838-CF743F0400B2> /ustr/lib/dyld
0x7fff80003000 -  0x7fff80446fef lIbLAPACK.dylib 219.0.0 (compatibility 1.0.0)
<0CC61C98-FF51-67B3-F3D8-C5E430C201A9>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x7fff80447000 -  0x7fff80481fff libcups.2.dylib 2.8.0 (compatibility 2.0.0) <539EBFDD-96D6-FB07-B128-40232C408757>
/usr/lib/libcups.2.dylib
0x7fff8053d000 -  0x7fff80587ff7 com.apple.Metadata 10.6.3 (507.15) <2EF19055-D7AE-4D77-E589-7B71B0OBC1E59>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x7fff80588000 -  0x7fff805adff7 com.apple.CoreVideo 1.6.2 (45.6) <E138C8E7-3CB6-55A9-0A2C-B73FE63EA288>
/System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
0x7fff80617000 -  0x7fff806f4fff com.apple.vimage 4.1 (4.1) <C3F44AA9-6F71-0684-2686-D3BBC903F020>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vimage.framework/Versions/A/vimage
0x7fff80774000 -  0x7fff80776fff com.apple.print.framework.Print 6.1 (237.1)
<CA8564FB-B366-7413-B12E-9892DA3C6157>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print

0x7fff80777000 -  0x7fff80bbefef com.apple.RawCamera.bundle 3.7.1 (570)
<5AFA87CA-DC3D-F84E-7EA1-6EABA8807766>
/System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera

0x7fff80bbf000 -  0x7fff80bd4ff7 com.apple.LangAnalysis 1.6.6 (1.6.6) <1AE1FE8F-2204-4410-C94E-0E93B003BEDA>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnaly
nalysis

0x7fff80bd5000 -  0x7fff80c21fff libauto.dylib ??? (??7?) <F7221B46-DC4F-3153-CE61-7F52C8C293CF> /ust/lib/libauto.dylib

0x7fff80c22000 -  Ox7fff80c6aff7 libvDSP.dylib 268.0.1 (compatibility 1.0.0) <98FC4457-F405-0262-00F7-56119CA107B6>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib

0x7fff80daf000 -  0x7fff80db5ff7 com.apple.CommerceCore 1.0 (9.1) <3691E9BA-BCF4-98C7-EFEC-78DA6825004E>
/System/Library/PrivateFrameworks/CommerceKit.framework/Versions/A/Frameworks/CommerceCore.framework/Versions/A/Comme
mmerceCore

0x7fff80db6000 -  0x7fff80f74ff7 com.apple.ImagelO.framework 3.0.4 (3.0.4)
<0A4F51A1-4502-767B-8A4E-F14C6214EF88>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImagelO.framework/Versions/A/ImagelO

0x7fff8137f000 -  0x7fff81380fff liblangid.dylib ??? (??7?) <EA4D1607-2BD5-2EE2-2A3B-632EEE5A444D>
/usr/lib/liblangid.dylib

0x7fff815aa000 - 0x7fff81628ff7 com.apple.CoreText 151.10 (???) <54961997-55D8-DCOF-2634-674E452D5A8E>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/Core Text.framework/Versions/A/Core Text

0x7fff81738000 - 0x7fff8174efe7 com.apple.MultitouchSupport.framework 207.11 (207.11)
<8233CE71-6F8D-8B3C-A0E1-E123F6406163>
/System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport

0x7fff819a0000 - 0x7fff819aeff7 libkxld.dylib ??? (??7?) <8145A534-95CC-9F3C-B78B-AC9898F38C6F>
/ustr/lib/system/libkxId.dylib

0x7fff819af000 -  0x7fff81b6dfff libicucore.A.dylib 40.0.0 (compatibility 1.0.0) <4274FC73-A257-3A56-4293-5968F3428854>
/usr/lib/libicucore.A.dylib

0x7fff81b6e000 -  0x7fff81c53fef com.apple.DesktopServices 1.5.11 (1.5.11)
<39FAA3D2-6863-B5AB-AED9-92D878EA2438>
/System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv

0x7fff81c54000 -  Ox7fff81c59ff7 com.apple.CommonPanels 1.2.4 (91) <4D84803B-BD06-D80E-15AE-EFBE43F93605>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels

0x7fff81c5a000 -  Ox7fff81ca3dfef libGLU.dylib ??? (??7) <1C050088-4AB2-2BC2-62E6-C969F925A945>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib

0x7fff81ca4000 -  Ox7fff81cd5fff libGLImage.dylib ??? (???) <7F102A07-E4FB-9F52-B2F6-4E2D2383CA13>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib

0x7fff81cd6000 -  Ox7fff81d11fff com.apple.AE 496.5 (496.5) <208DF391-4DE6-81ED-C697-14A2930D1BC6>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE

0x7fff81d12000 -  0x7fff81d14fff libRadiance.dylib ??? (??7?) <A9DB4D5D-4072-971B-DEF6-DDE645F415EA>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImagelO.framework/Versions/A/Resources/libR
/libRadiance.dylib

0x7fff81f2c000 -  0x7fff81f4cff7 com.apple.DirectoryService.Framework 3.6 (621.12)
<A4685F06-5881-35F5-764D-C380304C1CE8>
/System/Library/Frameworks/DirectoryService.framework/Versions/A/DirectoryService

0x7fff820bf000 -  0x7fff821defe7 libcrypto.0.9.8.dylib 0.9.8 (compatibility 0.9.8)
<14115D29-432B-CF02-6B24-A60CC533A09E> /usr/lib/libcrypto.0.9.8.dylib

0x7fff82436000 -  0x7fff82473ff7 libFontRegistry.dylib ??? (???) <4C3293E2-851B-55CE-3BE3-29C425DD5DFF>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontR
ontRegistry.dylib

0x7fff82474000 -  0x7fff826f6fff com.apple.Foundation 6.6.8 (751.63) <E10E4DB4-9D5E-54A8-3FB6-2A82426066E4>
/System/Library/Frameworks/Foundation.framework/Versions/C/Foundation

0x7fff8275f000 -  0x7fff827e4ff7 com.apple.print.framework.PrintCore 6.3 (312.7)

5is[?]

rceCor

adiance

eqgistry.

2025-04-27 7/13



<CDFE82DD-D811-A091-179F-6E76069B432D>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore

0x7fff827e5000 -  Ox7fff82862fef libstdc++.6.dylib 7.9.0 (compatibility 7.0.0)
<35ECA411-2C08-FD7D-11B1-1B7A04921A5C> /usr/lib/libstdc++.6.dylib

0x7fff82863000 -  0x7fff82877ff7 com.apple.speech.synthesis.framework 3.10.35 (3.10.35)
<621B7415-A0B9-07A7-F313-36 BEEDD7B132>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/Speec
eechSynthesis

0x7fff82979000 -  0x7fff82a09fff com.apple.SearchKit 1.3.0 (1.3.0) <4175DC31-1506-228A-08FD-C704AC9DF642>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit

0x7fff82a0a000 -  0x7fff82a0dfff com.apple.help 1.3.2 (41.1) <BD1B0A22-1CB8-263E-FF85-5BBFDE3660B9>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help

0x7fff82a0e000 - 0x7fff8310aff7 com.apple.CoreGraphics 1.545.0 (???) <58D597B1-EB3B-710E-0B8C-EC114D54E11B>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGrap!
raphics

0x7fff8310b000 -  0x7fff83110fff libGFXShared.dylib ??? (???) <1D0D3531-9561-632C-D620-1A8652BEF5BC>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib

0x7fff832c6000 - 0x7fff83345fe7 com.apple.audio.CoreAudio 3.2.6 (3.2.6) <79E256EB-43F1-C7AA-6436-124A4FFB02D0>
/System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio

0x7fff8339b000 -  0x7fff8339bff7 com.apple.Accelerate.vecLib 3.6 (vecLib 3.6)
<4CCE5D69-F1B3-8FD3-1483-E0271DB2CCF3>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib

0x7fff8339c000 - 0x7fff8339dff7 com.apple.TrustEvaluationAgent 1.1 (1) <56952A9FA-BC2B-16EF-91A7-43902A5C07B6>
/System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/A/TrustEvaluationAgent

0x7fff8359c000 - 0x7fff83713fe7 com.apple.CoreFoundation 6.6.6 (550.44)
<BB4E5158-E47A-39D3-2561-96 CB49FA82D4>
/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation

0x7fff83715000 -  0x7fff8371cfff com.apple.OpenDirectory 10.6 (10.6) <4FF6AD25-0916-B21C-9E88-2CC42D90EAC7>
/System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory

0x7fff8372f000 -  0x7fff83770fff com.apple.SystemConfiguration 1.10.8 (1.10.2)
<78D48D27-A9C4-62CA-2803-DOBBED82855A>
/System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration

0x7fff83771000 -  0x7fff83777ff7 I0Surface ??? (??7?) <8E302BB2-0704-C6AB-BD2F-C2A6C6A2E2C3>
/System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface

0x7fff83778000 -  0x7fff837cdff7 com.apple.framework.familycontrols 2.0.2 (2020)
<8807EB96-D12D-8601-2E74-25784A0DE4FF>
/System/Library/PrivateFrameworks/FamilyControls.framework/Versions/A/FamilyControls

0x7fff837ce000 -  0x7fff83887fff libsqlite3.dylib 9.6.0 (compatibility 9.0.0) <2C5ED312-E646-9ADE-73A9-6199A2A43150>
/usr/lib/libsqlite3.dylib

0x7fff8401d000 -  0x7fff8402cfef com.apple.opengl 1.6.13 (1.6.13) <516098B3-4517-8A55-64BB-195CDAA5334D>
/System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL

0x7fff84035000 -  0x7fff8404bfef libbsm.0.dylib ??? (???) <42D3023A-A1F7-4121-6417-FCC6B51B3E90>
/usr/lib/libbsm.0.dylib

0x7fff84073000 -  0x7fff840d3fe7 com.apple.framework.lOKit 2.0 (???) <4F071EF0-8260-01E9-C641-830E582FA416>
/System/Library/Frameworks/IOKit.framework/Versions/A/IOKit

0x7fff840d4000 -  0x7fff840e8fff libGL.dylib ??? (???) <2ECE3BOF-39E1-3938-BF27-7205C6D0358B>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib

0x7fff8412f000 -  0x7fff84132ff7 libCoreVMClient.dylib ??? (???) <E03D7C81-A3DA-D44A-A88A-DDBB98AF910B>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib

0x7fff84133000 -  0x7fff8424afef libxml2.2.dylib 10.3.0 (compatibility 10.0.0)
<1B27AFDD-DF87-2009-170E-C129E1572E8B> /usr/lib/libxml2.2.dylib

0x7fff8424b000 -  0x7fff84276ff7 libxslt.1.dylib 3.24.0 (compatibility 3.0.0) <BAB4CA9E-435A-33DA-7041-904BA7FA11D5>
/usr/lib/libxslt.1.dylib
0x7fff84277000 -  0x7fff8428efff com.apple.ImageCapture 6.1 (6.1) <79AB2131-2A6C-F351-38A9-ED58B25534FD>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture

0x7fff84470000 - 0x7fff844b1fef com.apple.QD 3.36 (??7?) <5DC41E81-32C9-65B2-5528-B33E934D5BB4>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD

0x7fff8450e000 -  Ox7fff84f08ff7 com.apple.AppKit 6.6.8 (1038.36) <4CFBE04C-8FB3-BOEA-8DDB-7E7D10E9D251>
/System/Library/Frameworks/AppKit.framework/Versions/C/AppKit

0x7fff84fd6000 -  0x7fff84ff9fff com.apple.opencl 12.3.6 (12.3.6) <42FA5783-EB80-1168-4015-B8C68F55842F>
/System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL

0x7fff8502a000 -  0x7fff8502eff7 libCGXType.A.dylib 545.0.0 (compatibility 64.0.0)
<DB710299-B4D9-3714-66F7-5D2964DE585B>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources
urces/libCGXType.A.dylib

0x7fff850b3000 -  0x7fff85168fe7 com.apple.ink.framework 1.3.3 (107) <8C36373C-5473-3A6A-4972-BC29D504250F >
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink

0x7fff85169000 -  0x7fff85261ff7 libiconv.2.dylib 7.0.0 (compatibility 7.0.0) <44AADE50-15BC-BC6B-BEF0-5029A30766AC>
/usr/lib/libiconv.2.dylib

0x7fff85262000 -  0x7fff852b1ff7 com.apple.DirectoryService.PasswordServerFramework 6.1 (6.1)
<0731C40D-71EF-B417-C83B-54C3527A36EA>
/System/Library/PrivateFrameworks/PasswordServer.framework/Versions/A/PasswordServer

0x7fff8532f000 -  0x7fff85362ff7 libTrueTypeScaler.dylib ??? (???) <69D4A213-45D2-196D-7FF8-B52A31DFD329>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libTrueT|
rueTypeScaler.dylib

0x7fff85363000 -  0x7fff85369ff7 com.apple.DiskArbitration 2.3 (2.3) <857F6E43-1EF4-7D53-351B-10DEOA8F992A>
/System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration

0x7fff8536a000 -  0x7fff85b74fe7 libBLAS.dylib 219.0.0 (compatibility 1.0.0)
<FC941ECB-71D0-FAE3-DCBF-C5A619E594B8>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib

0x7fff85b75000 -  0x7fff85caafff com.apple.audio.toolbox.AudioToolbox 1.6.7 (1.6.7)
<E5D7DBDB-6DDF-E6F9-C71C-86F4520EE5A3>
/System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox

0x7fff85cab000 -  0x7fff85ccdff7 libexpat.1.dylib 7.2.0 (compatibility 7.0.0) <8EC31253-B585-D0O5E-F35D-AE3292FB790B>
/usr/lib/libexpat.1.dylib

0x7fff85cce000 -  Ox7fff85d0afe7 libcurl.4.dylib 6.1.0 (compatibility 6.0.0) <1E041185-131C-C237-C250-38BE933A269A>
/usr/lib/libcurl.4.dylib

0x7fff85d35000 -  0x7fff85d47fe7 libsasl2.2.dylib 3.15.0 (compatibility 3.0.0)
<76B83C8D-8EFE-4467-0F75-275648AFED97> /usr/lib/libsasl2.2.dylib

0x7fff85d48000 -  0x7fff85e62fef libGLProgrammability.dylib ??? (??7?) <8A4B86E3-0FA7-8684-2EF2-C5F8079428DB>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib

0x7fff85e63000 - 0x7fff85e63ff7 com.apple.Accelerate 1.6 (Accelerate 1.6)
<15DF8B4A-96B2-CB4E-368D-DEC7DF6B62BB> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate

0x7fff8624d000 -  0x7fff86258ff7 com.apple.speech.recognition.framework 3.11.1 (3.11.1)
<3D65E89B-FFC6-4AAF-D5CC-104F967C8131>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecogniti
gnition

0x7fff86259000 -  0x7fff8658dfef com.apple.CoreServices.CarbonCore 861.39 (861.39)
<1386A24D-DD15-5903-057E-4A224FAF580B>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore

0x7fff866de000 -  0x7fff86a7bfe7 com.apple.QuartzCore 1.6.3 (227.37) <16DFF6CD-EA58-CE62-A1D7-5F6CE3D066DD>
/System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore

0x7fff86a7c000 - 0Ox7fff86a97ff7 com.apple.openscripting 1.3.1 (???) <9D50701D-54AC-405B-CC65-026FCB28258B>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting

0x7fff86b35000 -  0x7fff86b3afff libGIF.dylib ??? (???) <201B8077-B5CC-11AA-E1B0-1D057ABE416A>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImagelO.framework/Versions/A/Resources/libG
NlibGIF.dylib

0x7fff87369000 -  0x7fff873a6ff7 libssl.0.9.8.dylib 0.9.8 (compatibility 0.9.8)
<F743389F-F25A-A77D-4FCA-D6B01AF2EEED> /ust/lib/libssl.0.9.8.dylib

0x7fff875e2000 -  Ox7fff8769ffff com.apple.CoreServices.OSServices 359.2 (359.2)
<BBB8888E-18DE-5D09-3C3A-F4C029EC7886>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices

0x7fff876a0000 -  0x7fff876e3ff7 libRIP.A.dylib 545.0.0 (compatibility 64.0.0)
<5FF3D7FD-84D8-C5FA-D640-90BB82EC651D>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources
urces/libRIP.A.dylib

0x7fff876e4000 -  0x7fff8796¢cfef com.apple.security 6.1.2 (55002) <015C9A08-3D07-9462-8E91-DB1924349621>
/System/Library/Frameworks/Security.framework/Versions/A/Security

0x7fff8796d000 -  0x7fff879b4ff7 com.apple.coreui 2 (114) <923E33CC-83FC-7D35-5603-FB8F348EE34B>
/System/Library/PrivateFrameworks/CoreUl.framework/Versions/A/CoreUl

0x7fff879c9000 -  Ox7fff87a06fff com.apple.LDAPFramework 2.0 (120.1) <54A6769E-D7E2-DBE2-EA61-87B9EA355DA4>
/System/Library/Frameworks/LDAP.framework/Versions/A/LDAP

0x7fff87a07000 - Ox7fff87a07ff7 com.apple.CoreServices 44 (44) <DC7400FB-851E-7B8A-5BF6-6F50094302FB>
/System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices

0x7fff87a0e000 -  Ox7fff87a35ff7 libJPEG.dylib ??? (???) <46A413EA-4FD1-A050-2EF0-6279F3EAD581>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImagelO.framework/Versions/A/Resources/libJf
/libJPEG.dylib

0x7fff87a36000 - 0x7fff87a43fe7 libCSync.A.dylib 545.0.0 (compatibility 64.0.0)
<1C35FA50-9C70-48DC-9E8D-2054F7A266B1>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources
urces/libCSync.A.dylib

0x7fff87b1d000 -  0x7fff87b1eff7 com.apple.audio.units.AudioUnit 1.6.7 (1.6.7)
<53299948-2554-0F8F-7501-04B34E49F6CF > /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit

0x7fff87b2f000 -  0x7fff87b50fff libresolv.9.dylib 41.0.0 (compatibility 1.0.0) <9F322F47-0584-CB7D-5B73-9EBD670851CD>
/usr/lib/libresolv.9.dylib

0x7fff87b51000 -  0x7fff87ba4ff7 com.apple.HIServices 1.8.3 (???) <F6E0C7A7-C11D-0096-4DDA-2C77793AA6CD>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices[?]
es

0x7fff87ba5000 -  0x7fff87ba5ff7 com.apple.ApplicationServices 38 (38) <10A0B9E9-4988-03D4-FC56-DDE231A02C63>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices

0x7fff87ba6000 - 0x7fff87c10fe7 libvMisc.dylib 268.0.1 (compatibility 1.0.0)
<AFOEA96D-000F-8C12-B952-CB7E00566E08>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib

0x7fff87¢c25000 -  Ox7fff87c29ff7 libmathCommon.A.dylib 315.0.0 (compatibility 1.0.0)
<95718673-FEEE-B6ED-B127-BCDBDB60D4ES5> /ust/lib/system/libmathCommon.A.dylib

0x7fff87c2a000 -  Ox7fff87cebfff libFontParser.dylib ??? (???) <AOOBBOA7-E46C-1D07-1391-194745566C7E>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontP|
ontParser.dylib

0x7fff87cec000 - 0x7fff87dadfef com.apple.ColorSync 4.6.6 (4.6.6) <BB2C5813-C61D-3CBA-A8F7-0E59E46EBEE8S>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync[?]
c

0x7fff87e50000 -  Ox7fff87f99fff com.apple.CoreData 102.1 (251) <9DFE798D-AA52-6A9A-924A-DA73CB94D81A>
/System/Library/Frameworks/CoreData.framework/Versions/A/CoreData

0x7fff884a1000 -  0x7fff8856¢fff ColorSyncDeprecated.dylib 4.6.0 (compatibility 1.0.0)
<E72880D9-3B5D-D086-9266-F4F3C294619F>
/System/Library/Frameworks/ApplicationServices.framework/Frameworks/ColorSync.framework/Versions/A/Resources/ColorSyncDef
cDeprecated.dylib

0x7fff8856d000 -  0x7fff8858aff7 libPng.dylib ??7? (???) <6D8E515B-E0A2-2BA1-9CAC-8CB8A8B35879>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImagelO.framework/Versions/A/Resources/libP
/libPng.dylib

0x7fff8858b000 -  0x7fff885dafef libTIFF.dylib ??? (??7?) <1E2593D1-A7F6-84C6-DF8F-0B46AE445926>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImagelO.framework/Versions/A/Resources/libT
NbTIFF.dylib

0x7fff885db000 -  0x7fff888d9fff com.apple.HIToolbox 1.6.5 (??7?) <AD1C18F6-51CB-7E39-35DD-F16B1EB978A8>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox

0x7fff8895e000 -  0x7fff88a32fe7 com.apple.CFNetwork 454.12.4 (454.12.4)
<C83E2BA1-1818-B3E8-5334-860AD21D1C80>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork

0x7fff88a7b000 -  0x7fff88a7eff7 com.apple.securityhi 4.0 (36638) <AEF55AF1-54D3-DB8D-27A7-E16192E0045A>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHl.framework/Versions/A/SecurityHI

0x7fff88a7f000 -  0x7fff88b0bfef SecurityFoundation ??? (???) <3F1F2727-C508-3630-E2C1-38361841FCE4>
/System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation

0x7fff88b0c000 -  Ox7fff88b25fff com.apple.CFOpenDirectory 10.6 (10.6) <401557B1-C6D1-7E1A-0D7E-941715C37BFA>

FF.dyli

/System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDir¢ctory[?

nDirectory

0x7fff88d92000 -  0x7fff88e48ff7 libobjc.A.dylib 227.0.0 (compatibility 1.0.0)
<03140531-3B2D-1EBA-DA7F-E12CC8F63969> /usr/lib/libobjc.A.dylib

0x7fff88e49000 -  0x7fff88ee9fff com.apple.LaunchServices 362.3 (362.3)
<B90B7C31-FEF8-3C26-BFB3-D8A48BD2C0ODA>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchService
rvices

0x7fff88eeal00 -  0x7fff88efbff7 libz.1.dylib 1.2.3 (compatibility 1.0.0) <97019C74-161A-3488-41EC-A6CA8738418C>
/usr/lib/libz.1.dylib

0x7fff88efc000 -  0x7fff88efcff7 com.apple.vecLib 3.6 (vecLib 3.6) <96FB6BAD-5568-C4E0-6FA7-02791A58B584>
/System/Library/Frameworks/vecLib.framework/Versions/A/vecLib

0x7fff88fb5000 -  0x7fff89176fef libSystem.B.dylib 125.2.11 (compatibility 1.0.0)
<9AB4F1D1-89DC-0E8A-DC8E-A4FE4D69DB69> /ust/lib/libSystem.B.dylib

0x7fff8a205000 -  0x7{ff8a205ff7 com.apple.Carbon 150 (152) <23704665-E9F4-6B43-1115-2E69F161FC45>
/System/Library/Frameworks/Carbon.framework/Versions/A/Carbon

0x7fff8a2ce000 -  0x7fff8a368fff com.apple.ApplicationServices.ATS 275.19 (7?7?)
<FBC907AF-C3EF-CAF1-3705-13DC91B29114>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS

0x7fff8a369000 - 0x7fff8a391fff com.apple.DictionaryServices 1.1.2 (1.1.2)
<E9269069-93FA-2B71-FO9BA-FDDD23C4A65E>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryS
aryServices

0x7fff8a392000 - Ox7fff8a3alfff com.apple.NetFS 3.2.2 (3.2.2) <7CCBD70E-BF31-A7A7-DB98-230687773145>
/System/Library/Frameworks/NetFS.framework/Versions/A/NetFS

0x7fff8a3a3000 - Ox7fff8a453fff edu.mit.Kerberos 6.5.11 (6.5.11) <085D80F5-C9DC-E252-C21B-03295E660C91>
/System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos

Ox7fffffe00000 -  Ox7fffffe01fff libSystem.B.dylib ??7? (???) <9AB4F1D1-89DC-0E8A-DC8E-A4FE4D69DB69>
/usr/lib/libSystem.B.dylib

Model: MacBookPro2,2, BootROM MBP22.00A5.B07, 2 processors, Intel Core 2 Duo, 2.16 GHz, 4 GB, SMC 1.12f5
Graphics: ATl Radeon X1600, ATY,RadeonX1600, PCle, 128 MB

Memory Module: global_name

AirPort: AirPort Extreme, Atheros 5416: 2.1.14.6

Bluetooth: Version 2.4.5f3, 2 service, 12 devices, 1 incoming serial ports

Serial ATA Device: WDC WD5000BEVT-00A03T0, 465.76 GB

Parallel ATA Device: MATSHITADVD-R UJ-857D

USB Device: Built-in iSight, 0x05ac (Apple Inc.), 0x8501, 0xfd400000 / 2

USB Device: Apple Internal Keyboard / Trackpad, 0x05ac (Apple Inc.), 0x021b, 0x1d200000 / 2

2sf?] 0
USB Device: IR Receiver, 0x05ac (Apple Inc.), 0x8240, 0x5d200000 / 2
USB Device: Bluetooth USB Host Controller, 0x05ac (Apple Inc.), 0x8205, 0x7d100000 / 2

History

#1 - 2011-11-12 09:03 AM - Giovanni Manghi
- Status changed from Open to Feedback

I really think that this should be a duplicate of an older ticket, can you please check and report back? thanks

#2 - 2011-11-12 09:23 AM - Richard Duivenvoorde

- Assignee set to William Kyngesburye

| tested on linux here (be9bdeb), but cannot reproduce the crash.

Assigning to William, hopefully he can reproduce (and fix it ;-) )

#3 - 2011-11-13 04:18 AM - Richard Duivenvoorde

we did a hand build install on the machine of the issuer using master (ce8c75f) during the hackfest in Zurich.

In this build (no py-bindings) we cannot reproduce the crash anymore. Either between 1.7.1 and now it is fixed, OR there is some difference between the

packaged version and this handbuild version.

#4 - 2011-11-13 06:15 AM - Richard Duivenvoorde

also tried a clean build 1.7.2 now. Also no crashes.

Some extra info about our build environment:

bison2.5

gmake 4.7.4

qwt 5.2.1
Mac OS X 10.6.8

#5 - 2011-11-14 09:47 AM - Martin Dobias
- Status changed from Feedback to Closed
- Resolution set to duplicate

This is a duplicate of #4439

#6 - 2012-01-24 12:47 AM - Jiirgen Fischer
- Crashes QGIS or corrupts data set to No
- Affected QGIS version set to master
